Bug 1285056 - Review Request: nodejs-jju - A set of utilities to work with JSON / JSON5 documents
Review Request: nodejs-jju - A set of utilities to work with JSON / JSON5 doc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1014483
Blocks: nodejs-reviews 1285057
  Show dependency treegraph
 
Reported: 2015-11-24 13:50 EST by Zuzana Svetlikova
Modified: 2016-01-06 05:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 05:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Zuzana Svetlikova 2015-11-24 13:50:49 EST
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-jju/nodejs-jju.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-jju/nodejs-jju-1.2.1-1.fc23.src.rpm
Description: A set of utilities to work with JSON / JSON5 documents
Fedora Account System Username: zvetlik
Comment 1 Tom Hughes 2015-11-24 14:04:28 EST
The tests are completely missing. I know they're disabled, but there is a %check that purports to run them and it can't because they don't exist.
Comment 2 Jared Smith 2015-11-24 15:06:37 EST
The tests don't actually work without a newer version of nodejs-js-yaml.
Comment 3 Tom Hughes 2016-01-01 13:40:30 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* WTFPL", "WTFPL", "Unknown or generated". 7
     files have unknown license. Detailed output of licensecheck in
     /home/tom/1285056-nodejs-jju/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-jju-1.2.1-1.fc24.noarch.rpm
          nodejs-jju-1.2.1-1.fc24.src.rpm
nodejs-jju.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-jju.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-jju (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-jju:
    nodejs-jju
    npm(jju)



Source checksums
----------------
https://registry.npmjs.org/jju/-/jju-1.2.1.tgz :
  CHECKSUM(SHA256) this package     : c85c4dfbc4e5767a7b27525b4c2c45bb5d83a71c33d227844f09d78e99119d5f
  CHECKSUM(SHA256) upstream package : c85c4dfbc4e5767a7b27525b4c2c45bb5d83a71c33d227844f09d78e99119d5f
https://raw.githubusercontent.com/rlidwka/jju/3c7b890c78a45a3a2ecf69880a63764c4cf1c440/LICENSE :
  CHECKSUM(SHA256) this package     : 0356258391e190dc1d44ea01565cfe627fe44e27dad693a0a54c2483a7b223e5
  CHECKSUM(SHA256) upstream package : 0356258391e190dc1d44ea01565cfe627fe44e27dad693a0a54c2483a7b223e5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1285056
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Tom Hughes 2016-01-01 13:41:41 EST
The BR on nodejs-devel is incorrect for a noarch extension.

Fedora 19 is EOL so there's no need for an ifdef to support it.

The tests are not included, let along run. The js-yaml package is now updated in rawhide so it should be possible to add the tests.
Comment 6 Tom Hughes 2016-01-04 13:48:26 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/tom/1285056-nodejs-
  jju/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "ISC", "*No copyright* WTFPL", "Unknown
     or generated". 27 files have unknown license. Detailed output of
     licensecheck in /home/tom/1285056-nodejs-jju/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-jju-1.2.1-2.fc24.noarch.rpm
          nodejs-jju-1.2.1-2.fc24.src.rpm
nodejs-jju.noarch: W: only-non-binary-in-usr-lib
nodejs-jju.noarch: W: dangling-symlink /usr/lib/node_modules/jju/node_modules/mocha /usr/lib/node_modules/mocha
nodejs-jju.src:45: W: macro-in-comment %nodejs_fixdep
nodejs-jju.src: W: invalid-url Source11: tests-v1.2.1.tar.bz2
nodejs-jju.src: W: file-size-mismatch LICENSE = 1079, https://raw.githubusercontent.com/rlidwka/jju/3c7b890c78a45a3a2ecf69880a63764c4cf1c440/LICENSE = 498
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-jju.noarch: W: only-non-binary-in-usr-lib
nodejs-jju.noarch: W: dangling-symlink /usr/lib/node_modules/jju/node_modules/mocha /usr/lib/node_modules/mocha
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-jju (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(mocha)



Provides
--------
nodejs-jju:
    nodejs-jju
    npm(jju)



Source checksums
----------------
https://registry.npmjs.org/jju/-/jju-1.2.1.tgz :
  CHECKSUM(SHA256) this package     : c85c4dfbc4e5767a7b27525b4c2c45bb5d83a71c33d227844f09d78e99119d5f
  CHECKSUM(SHA256) upstream package : c85c4dfbc4e5767a7b27525b4c2c45bb5d83a71c33d227844f09d78e99119d5f
https://raw.githubusercontent.com/rlidwka/jju/3c7b890c78a45a3a2ecf69880a63764c4cf1c440/LICENSE :
  CHECKSUM(SHA256) this package     : 270dcb9f4bfb7c239711fe86f31892e8bd696f5904d9ce0b4995015106ea3fcc
  CHECKSUM(SHA256) upstream package : 0356258391e190dc1d44ea01565cfe627fe44e27dad693a0a54c2483a7b223e5
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1285056
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Tom Hughes 2016-01-04 13:50:30 EST
Looks much better.

Only issue is that the license is WTFPL but you've added an MIT license text and also opened a PR to add that upstream.

WTFPL doesn't require text to be included, so you can drop the LICENSE file from the package and you should probably either close the PR or fix it to add the right license text.
Comment 9 Tom Hughes 2016-01-05 07:56:34 EST
That looks good now. Package approved.
Comment 10 Gwyn Ciesla 2016-01-05 10:10:28 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-jju

Note You need to log in before you can comment on or make changes to this bug.